[SciPy-user] mpi4py instalation.

Brian Granger ellisonbg.net at gmail.com
Thu Nov 2 18:14:35 CST 2006


See inline comments:

On 11/2/06, fiepye at atlas.cz <fiepye at atlas.cz> wrote:
> Hello Brian.
>
> 1. Now, I have installed open-mpi only with --prefix option.
>    Things does not change. I got the same error message.
>
> 2. PATH points to /usr/local/mpi/open-mpi/bin:/usr/local/mpi/open-mpi
>    LD_LIBRARY_PATH contains /usr/local/mpi/open-mpi/lib

According to the open-mpi FAQ you also need

/usr/local/mpi/open-mpi/lib/openmpi

on your LD_LIBRARY_PATH


> 3. I installd
>    openmpi-1.1.2.tar.gz
>    mpi4py-0.2.0.tar.gz

I think your version of mpi4py might be the problem.  Try this one:

http://www.python.org/pypi/mpi4py

> 4. I successfully run
>    /usr/local/mpi/open-mpi/bin/mpirun -np 2 xclock
>

Try the newer version of mpi4py.


> My PC: Opteron 275
> OS: CentOS 4.3
>
> Fie Pye
>
>
> >-----Puvodni zprava-----
> >Od: Brian Granger [mailto:ellisonbg.net at gmail.com]
> >Odesl?no: 2. listopadu 2006 20:54
> >Komu: SciPy Users List
> >P?edm?t: Re: [SciPy-user] mpi4py instalation.
> >
> >
> >Hmm,
> >
> >I have not seen this type of failure before.  Some questions though?
> >
> >1.  Can you retry but only give openmpi the --prefix flag on configure./
> >
> >2.  Have you put the openmpi directories in your LD_LIBRARY_PATH or
> >DYLD_LIBRARY_PATH?
> >Check on the openmpi FAQ for info about how to do this.
> >
> >3.  What version of mpi4py are you using?
> >
> >4.  Have you tried to compile and run a simple C mpi program?
> >
> >Brian
> >
> >
> >On 11/2/06, fiepye at atlas.cz <fiepye at atlas.cz> wrote:
> >> Hello.
> >>
> >> Thank you all, who responded to my posted question
> >>
> >> http://projects.scipy.org/pipermail/scipy-user/2006-October/009705.html
> >>
> >> I have got python2.4.3. I downloaded ipython, open mpi and mpi4py.
> >>
> >> Before instalation I configured Open MPI by the following line
> >>
> >> ./configure --prefix=/usr/local/mpi/open-mpi --with-threads=posix --enable-mpi-threads --enable-progress-threads
> >>
> >> later by
> >>
> >> ./configure --prefix=/usr/local/mpi/open-mpi --with-threads=posix --enable-mpi-threads
> >>
> >> mpi4py was cofigured by
> >>
> >> python2.4 setup.py config --mpicc=/usr/local/mpi/open-mpi/bin/mpicc
> >>
> >> After instalation, whern running python2.4 or ipython and loading mpi4py modul
> >>
> >> from mpi4py import *
> >>
> >> I got the following message:
> >>
> >> [juniper:04298] *** An error occurred in MPI_Errhandler_free
> >> [juniper:04298] *** on communicator MPI_COMM_WORLD
> >> [juniper:04298] *** MPI_ERR_ARG: invalid argument of some other kind
> >> [juniper:04298] *** MPI_ERRORS_ARE_FATAL (goodbye)
> >> [juniper:04298] [0,0,0] ORTE_ERROR_LOG: Not found in file base/pls_base_proxy.c at line 189
> >>
> >> and python crashed.
> >>
> >> Could anybody help me?
> >>
> >> Fie Pye
> >>
> >>
> >>
> >> _______________________________________________
> >> SciPy-user mailing list
> >> SciPy-user at scipy.org
> >> http://projects.scipy.org/mailman/listinfo/scipy-user
> >>
> >_______________________________________________
> >SciPy-user mailing list
> >SciPy-user at scipy.org
> >http://projects.scipy.org/mailman/listinfo/scipy-user
>
>
>
> _______________________________________________
> SciPy-user mailing list
> SciPy-user at scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-user
>


More information about the SciPy-user mailing list